import es, gungamelib

tied_sound = gungamelib.getVariableValue('gg_quake_lost')
leading_sound = gungamelib.getVariableValue('gg_quake_lead')
lost_sound = gungamelib.getVariableValue('gg_quake_tied')

info = es.AddonInfo()
info.name     = 'GunGame Leader Sounds'
info.version  = '1.5'
info.url      = 'http://forums.mattie.info/cs/forums/viewtopic.php?t=30704'
info.basename = 'gungame/custom_addons/gg_quake'
info.author   = 'DanielB'

es.ServerVar('gg_quake_ver', info.version).makepublic()


def gg_tied_leader(event_var):
    for player in gungamelib.leaders.leaders:
        es.playsound(player, str(tied_sound), 1)

def gg_new_leader(event_var):
    newLeader = event_var['userid']
    oldLeaders = filter(lambda x: str(x) != newLeader, gungamelib.leaders.oldLeaders)
    if oldLeaders:
        es.playsound(newLeader, str(leading_sound), 1)
    for player in oldLeaders:
        es.playsound(player, str(lost_sound), 1)

def downloads():
    es.stringtable('downloadables', 'sound/' + str(tied_sound))
    es.stringtable('downloadables', 'sound/' + str(leading_sound))
    es.stringtable('downloadables', 'sound/' + str(lost_sound))

def es_map_start(ev):
    downloads()

def load():
    addon = gungamelib.registerAddon('gg_quake')
    addon.setDisplayName('GunGame Leader Sounds')
    downloads()

def unload():
    gungamelib.unregisterAddon('gg_quake')